Skip to main content
GET
/
outbound_voice_profiles
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const outboundVoiceProfile = await client.outboundVoiceProfiles.retrieve('1293384261075731499');

console.log(outboundVoiceProfile.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
outbound_voice_profile = client.outbound_voice_profiles.retrieve(
"1293384261075731499",
)
print(outbound_voice_profile.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
outboundVoiceProfile, err := client.OutboundVoiceProfiles.Get(context.TODO(), "1293384261075731499")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", outboundVoiceProfile.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.outboundvoiceprofiles.OutboundVoiceProfileRetrieveParams;
import com.telnyx.sdk.models.outboundvoiceprofiles.OutboundVoiceProfileRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

OutboundVoiceProfileRetrieveResponse outboundVoiceProfile = client.outboundVoiceProfiles().retrieve("1293384261075731499");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

outbound_voice_profile = telnyx.outbound_voice_profiles.retrieve("1293384261075731499")

puts(outbound_voice_profile)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$outboundVoiceProfile = $client->outboundVoiceProfiles->retrieve(
'1293384261075731499'
);

var_dump($outboundVoiceProfile);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx outbound-voice-profiles retrieve \
--api-key 'My API Key' \
--id 1293384261075731499
curl --request GET \
--url https://api.telnyx.com/v2/outbound_voice_profiles/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1293384261075731499",
    "record_type": "outbound_voice_profile",
    "name": "office",
    "connections_count": 12,
    "traffic_type": "conversational",
    "service_plan": "global",
    "concurrent_call_limit": 10,
    "enabled": true,
    "tags": [
      "office-profile"
    ],
    "usage_payment_method": "rate-deck",
    "whitelisted_destinations": [
      "US",
      "BR",
      "AU"
    ],
    "max_destination_rate": 10,
    "daily_spend_limit": "100.00",
    "daily_spend_limit_enabled": true,
    "call_recording": {
      "call_recording_type": "by_caller_phone_number",
      "call_recording_caller_phone_numbers": [
        "+19705555098"
      ],
      "call_recording_channels": "dual",
      "call_recording_format": "mp3"
    },
    "billing_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "calling_window": {
      "start_time": "08:00:00.00Z",
      "end_time": "20:00:00.00Z",
      "calls_per_cld": 5
    },
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Example:

"1293384261075731499"

Response

Successful response

data
Outbound Voice Profile · object
Example:
{
"id": "1293384261075731499",
"record_type": "outbound_voice_profile",
"name": "office",
"connections_count": 12,
"traffic_type": "conversational",
"service_plan": "global",
"concurrent_call_limit": 10,
"enabled": true,
"tags": ["office-profile"],
"usage_payment_method": "rate-deck",
"whitelisted_destinations": ["US", "BR", "AU"],
"max_destination_rate": 10,
"daily_spend_limit": "100.00",
"daily_spend_limit_enabled": true,
"call_recording": {
"call_recording_type": "by_caller_phone_number",
"call_recording_caller_phone_numbers": ["+19705555098"],
"call_recording_channels": "dual",
"call_recording_format": "mp3"
},
"billing_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"calling_window": {
"start_time": "08:00:00.00Z",
"end_time": "20:00:00.00Z",
"calls_per_cld": 5
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}